groovy.swing.binding

## Class JComponentProperties

- java.lang.Object
- - groovy.swing.binding.JComponentProperties

-     public class JComponentProperties
      extends java.lang.Object

  Since:
    Groovy 1.6

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JComponentProperties()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<java.lang.String,TriggerBinding>` | `getSyntheticProperties()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JComponentProperties

          public JComponentProperties()

  - ### Method Detail

    - #### getSyntheticProperties

          public static java.util.Map<java.lang.String,TriggerBinding> getSyntheticProperties()